/*----------------------------------------------------------------------------*\
|   transparent bitmap and DIB routines.
|
|   these functions take advantage of the display driver, if it supports
|   transparent operations.
|
\*----------------------------------------------------------------------------*/

//
// MaskBlt
//
// use this for a true mask blt
//
extern void TrueMaskBlt (HDC hdcD,int x,int y,int dx,int dy,HDC hdcS,HDC hdcMask,int x0,int y0);

//
// TransMaskBlt
//
// use this for a mask blt where the source (hdcS) has black (ie 0)
// every where the mask has white (ie 1)
//
extern void TransMaskBlt (HDC hdcD,int x,int y,int dx,int dy,HDC hdcS,HDC hdcMask,int x0,int y0);

//
// MakeMonoMask
//
// builds a transparent mask that you can use to draw (using TransMaskBlt)
// the given bitmap causing the given color to be transparent
//
extern HBITMAP MakeTransMask(HBITMAP hbm, HPALETTE hpal, COLORREF rgb);

//
// TransBlt
//
// Transparent bitblt that uses the current
// background color of the DC as the transparent color.
//
extern BOOL TransBlt(HDC hdcD,int x,int y,int dx,int dy,HDC hdcS,int x0,int y0);

//
// TransStretchDIBits
//
// draw a DIB bitmap treating the background color of the DC as transparent
//
extern int TransStretchDIBits(HDC hdc,
                       WORD DstX, WORD DstY, WORD DstDX, WORD DstDY,
                       WORD SrcX, WORD SrcY, WORD SrcDX, WORD SrcDY,
                       LPVOID lpBits, LPBITMAPINFO lpbi,
		       WORD wUsage, DWORD rop);
